mui.init();

//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	var id = self.priceId;
	$("#priceId").val(id);
	var jsData1 = {
		priceId: id
	}
	//获取预订确认信息  
	app.callWebApi('AppProduct', 'ShowProductPrice', jsData1, null,
		function(result) {
			if (result != "") {
				var jsonData = JSON.parse(result);
				$('#P_Name').val(jsonData[0].P_Name);
				$('#P_PriceName').val(jsonData[0].P_PriceName);
			} else {
				mui.toast(result);
			}
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});

	//加载儿童信息
	loadChilds();
	//加载活动日期
	getActivityDate(id);
});


/*******************儿童*******************/
var childPicker = new mui.PopPicker();

//加载儿童
function loadChilds() {
	var userid = '';
	//是否已经登录
	var userInfo = getUserInfo();
	if (userInfo != null) {
		userid = userInfo.ID;
	}
	var jsData1 = {
		userId: userid
	}
	app.callWebApi('AppUser', 'ShowJeelvCardChildsList', jsData1, null,
		function(result) {
			if (result != '') {
				var data = JSON.parse(result);
				childPicker.setData(data);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('操作失败，请检查网络是否正常！' + type);
		});
}

/*******************日期*******************/
var datePicker = new mui.PopPicker();

//加载日期
function getActivityDate(id) {
	var jsData1 = {
		id: id
	}
	app.callWebApi('AppProduct', 'ShowProductPriceDateList', jsData1, null,
		function(result) {
			if (result != '') {
				var jsonval = JSON.parse(result.jsonData);
				var jsonStr = "";
				/*初始化日期*/
				for (var i = 0; i < jsonval.length; i++) {
					for (var key in jsonval[i]) {
						var text = key + '   【' + getWeek(new Date(key.replace(/-/g, "/"))) + '】';
						jsonStr += '{"value":"' + key + '","text":"' + text + '"},';
					}
				}
				jsonStr = jsonStr.substring(0, jsonStr.length - 1);
				var data = JSON.parse('[' + jsonStr + ']');

				datePicker.setData(data);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('操作失败，请检查网络是否正常！' + type);
		});
}

function getWeek(date) {
	var week;
	if (date.getDay() == 0) week = "周日"
	if (date.getDay() == 1) week = "周一"
	if (date.getDay() == 2) week = "周二"
	if (date.getDay() == 3) week = "周三"
	if (date.getDay() == 4) week = "周四"
	if (date.getDay() == 5) week = "周五"
	if (date.getDay() == 6) week = "周六"
	return week;
}



$(function() {



	$(".child-picker").on("tap", function() {
		var obj = $(this);
		childPicker.show(function(items) {
			obj.val(items[0].text);
			obj.attr("data-val", items[0].value);
			document.getElementById('child_name').value = items[0].text;
		});
	});


	$(".date-picker").on("tap", function() {
		var obj = $(this);
		datePicker.show(function(items) {
			obj.val(items[0].text);
			obj.attr("data-val", items[0].value);
			document.getElementById('start_date').value = items[0].value;

			getTime($("#priceId").val(), items[0].value);
		});
	});




	/*****************时间*******************/
	var timePicker = new mui.PopPicker();

	//获取时间
	function getTime(priceId, pdate) {
		var jsData1 = {
			priceId: priceId,
			pdate: pdate
		}
		//显示价格信息  
		app.callWebApi('AppProduct', 'ShowProductTime', jsData1, null,
			function(result) {
				if (result != '') {
					var data = JSON.parse('[' + result + ']');
					timePicker.setData(data);
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}

	$(".time-picker").on("tap", function() {
		var obj = $(this);
		timePicker.show(function(items) {
			obj.val(items[0].text);
			obj.attr("data-val", items[0].value);
			document.getElementById('start_time_code').value = items[0].value;
			document.getElementById('start_time').value = items[0].text;

			//获取剩余报名人数
			var jsData1 = {
				priceId: $("#priceId").val(),
				date: document.getElementById('start_date').value,
				timeId: document.getElementById('start_time_code').value
			}
			//获取预订确认信息  
			app.callWebApi('AppProduct', 'ShowSurplusNum', jsData1, null,
				function(result) {
					$('.jl-read-protocol').show();
					$('#surplusNum').text(result);
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		});
	});










	/*提交订单并支付*/
	$("#pay").off();
	$("#pay").on("tap", function() {

		if ($('#child_name').val() == '') {
			mui.toast('请填写孩子姓名');
			return;
		}
		if ($('#start_date').val() == '') {
			mui.toast('请填写活动日期');
			return;
		}
		if ($('#start_time').val() == '') {
			mui.toast('请填写活动时间');
			return;
		}
		//剩余报名数
		if (parseInt($('#surplusNum').text()) == 0) {
			mui.toast('对不起，预约活动人数已满，请您下次再预约');
			return;
		}

		//获取用户信息
		var userInfo = getUserInfo();
		if (userInfo != null) {
			var jsData1 = {
				userid: userInfo.ID,
				priceId: $("#priceId").val(),
				pname: $("#P_Name").val(),
				priceName: $('#P_PriceName').val(),
				child_name: $('#child_name').val(),
				start_date: $('#start_date').val(),
				start_time: $('#start_time').val(),
				start_time_code: $('#start_time_code').val()
			}
			app.callWebApi('AppOrder', 'SubmitBookingOrder', jsData1, null,
				function(result) {
					if (result.RESULT == "") {
						//mui.toast('预约成功，请准时参加活动');
						mui.alert('预约成功，请准时参加活动。如要取消预约请到个人中心操作', '系统提示', function() {});
						//location.href = "../booking/payreturn.html?orderId=" + result.ID + "&rnd=" + Math.round(Math.random() *10000).toString();
					} else {
						//mui.toast(result.RESULT);
						mui.alert(result.RESULT, '系统提示', function() {});
						//启用事件
						$('#pay').show();
					}
				},
				function(xhr, type, errorThrown) {
					//启用事件
					$('#pay').show();
					mui.toast('获取数据失败，请检查网络是否正常' + type);
				});
		} else {
			//启用事件
			$('#pay').show();
			mui.toast('请先登录后，再下订单！');
		}
	});

	//*平台须知*/ 
	$(".know").on("tap", function() {
		openWin2('../member/member-note.html', 'member-note.html', {});
	});







});
