var cityCode = 'YY'
var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = ""; //保存当前传过来没有变的参数，用于跳转查询页面
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
var title = '';
var detailPage = null;

var para;
var data;
var date = new Date;
var year = date.getFullYear();
var month = date.getMonth() + 1;
var day = date.getDate();
var startDate = year.toString() + '-' + month.toString() + '-' + day.toString();
var endDate = (year + 1).toString() + '-' + month.toString() + '-' + day.toString();
//获取位置
var position = getUserPosition();
if(position != null) {
	lat = position.lat;
	longt = position.longt;
	cityCode = position.cityCode;
}

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});

//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

/**  
 * 页面初始化； 
 */
function initPage(cityCode, lat, longt) {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	
	//返回
	mui.back = function() {
		var wv = plus.webview.getLaunchWebview();
		wv.evalJS('goHome()');
	};

	//加载主题和年龄
	loadTopics();
	loadAge();

	//c:容器,y:年,m:月,a:出发时间json,f:是否显示双日历,fu:回调调
	para = {
			'c': 'calendarcontainer',
			'y': year,
			'm': month,
			'a': {
				'd1': startDate, //最早时间
				'd2': endDate //最晚时间
			},
			'f': 0, //显示双日历用1，单日历用0
			'clickfu': function(to) { //回调函数，to为点击对象，点击日期是调用的函数,参数to为点击的日期的节点对象，可以把用户选定的日期通过此函数存入服务端或cookies，具体请自行编写
				if(to.id != "") {
					plus.nativeUI.showWaiting("加载中...", {
						padlock: true,
						width: 120,
						height: 120
					});
					mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
					//mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
					mui('#pullrefresh').pullRefresh().refresh(true);
					//alert(to.id);
					$('.trClass td').css("background-color", "#FAFBF0");
					$('#' + to.id).css("background-color", "#FFD39B");
					$(".calendar").height(40);
					$('.tpye_bar').hide();
					$("#arrow").attr("src", "../../images/down.png");
					currentPage = "1";
					totalNum = 0;
					queryParam = getQuery(to.id, cityCode);
					loadData(currentPage, pageSize, queryParam, "P_OrderId", 1, lat, longt);
				}
			},
			'showFu': function(d) { //回调函数，d为要显示的当前日期，主要用于判断是否要在该日期的格子里显示出指定的内容，在日期格子里额外显示内容的函数,返回值必须为字符串，参数d为显示的日期对象（日期类型）
				var t = new Date();
				if(t.toLocaleDateString() == d.toLocaleDateString()) {
					//return "<br/>今天";
					return "今天";
				} else {
					return "";
				}
			}
		}
		//显示日期
	showDate(cityCode, year, month);
}

//初始化显示日历
function showDate(cityCode, year, month) {
	var jsData1 = {
		CityCode: cityCode,
		Year: year,
		Month: month
	}
	app.callWebApi('AppProduct', 'ShowProductNum4Month', jsData1, null,
		function(result) {
			data = result;
			CreateCalendar(para, "para"); //参数前一个是对象，后一个是对象名称
			currentPage = "1";
			totalNum = 0;
			queryParam = getQuery(startDate, cityCode);
			loadData(currentPage, pageSize, queryParam, "P_OrderId", 1, lat, longt);
			$('#' + startDate).css("background-color", "#FFD39B");
			plus.nativeUI.closeWaiting();
			$("#mui-content").show();

			//显示隐藏日历
			$('.dates').off();
			$('.dates').on('tap', function() {
				var height = $(".calendar").height();
				if(height > 40) {
					$(".calendar").height(40);
					$("#arrow").attr("src", "../../images/down.png");
				} else {
					$(".calendar").height(334);
					$("#arrow").attr("src", "../../images/up.png");
				}
			});
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//选择月份后显示日历
function showDate4Month(cityCode, year, month, para, paraJsonName, preNext) {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var jsData1 = {
		CityCode: cityCode,
		Year: year,
		Month: month
	}
	app.callWebApi('AppProduct', 'ShowProductNum4Month', jsData1, null,
		function(result) {
			data = result;
			CreateCalendar(para, paraJsonName, preNext); //参数前一个是对象，后一个是对象名称
			//显示隐藏日历
			$('.dates').off();
			$('.dates').on('tap', function() {
				var height = $(".calendar").height();
				if(height > 40) {
					$(".calendar").height(40);
					$("#arrow").attr("src", "../../images/down.png");
				} else {
					$(".calendar").height(334);
					$("#arrow").attr("src", "../../images/up.png");
				}
			});
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//获取查询参数
function getQuery(pDate, cityCode) {
	var tmp = " and a.P_Status='1' and (a.P_BelongCity='" + cityCode + "' or a.P_DestinationCity like '%" + cityCode + "%')";
	tmp += " and (((a.P_Classify='QZHD' or a.P_Classify='QZJD') and b.P_PriceInfo like '%" + pDate + "%')";
	tmp += " or (a.P_Classify='QZKL' and b.P_ValidityStartDate<='" + pDate + "' and b.P_ValidityEndDate>='" + pDate + "'))";
	return tmp;
}

/**
 *加载数据  
 */
function loadData(currentPage, pageSize, queryParam, orderBy, reload, lat, longt) {
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$("#jl-table-view li").remove();
	}
	app.commonLoadData1(currentPage, pageSize, queryParam, orderBy, 'AppProduct', 'ShowProduct4DateList', lat, longt, function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				totalNum = jsonList.total;
				if(totalNum == 0) {
					plus.nativeUI.closeWaiting();
					$(".notrecord").show();
					return;
				}
			} else {
				plus.nativeUI.closeWaiting();
				$(".notrecord").show();
				return;
			}
			$(".notrecord").hide();
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				var label = '';
				if(jsonList.list[i].P_Label != '') {
					var list = jsonList.list[i].P_Label.split('$');
					for(var j = 0; j < list.length; j++) {
						label += '<label>' + list[j] + '</label>';
					}
				}
				if(jsonList.list[i].P_ChildrenAgeFrom == '0' && jsonList.list[i].P_ChildrenAgeTo == '0') {
					label += '<label>&nbsp;|&nbsp;无年龄限制</label>'
				} else {
					label += '<label>&nbsp;|&nbsp;' + jsonList.list[i].P_ChildrenAgeFrom + '-' + jsonList.list[i].P_ChildrenAgeTo + '岁</label>';
				}
				html += '<li id="' + jsonList.list[i].ID + '" data-val="' + jsonList.list[i].P_Classify + '" data-latitude="' + jsonList.list[i].P_Latitude + '" data-longitude="' + jsonList.list[i].P_Longitude + '" data-name="' + jsonList.list[i].P_Name.replace('&', '') + '"  class="mui-table-view-cell mui-media pdR50">';
				html += '	<a class="mui-navigate-right mui-slider-handle">';
				if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
					html += '	<img style="width: 87px;height: 87px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=160&height=160">';
				} else if(jsonList.list[i].P_MobileTitlePic != '' && jsonList.list[i].P_MobileTitlePic != null) {
					html += '	<img style="width: 87px;height: 87px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=500&height=273&c=1&x=113&y=0&w=273&h=273">';
				} else {
					html += '	<img class="mui-pull-left br0" data-lazyload="../../images/logo-loading-70-70.png" height="70">';
				}
				if(jsonList.list[i].P_SpecialTopicNames.indexOf('已售完') > -1) {
					html += '	<i class="p-status p-status-over br0"></i>';
				} else {
					html += '	<i class="p-status p-status-ok br0"></i>';
				}
				//if(jsonList.list[i].P_ChildrenAgeFrom == '0' && jsonList.list[i].P_ChildrenAgeTo == '0') {
				//	html += '	<i class="p-age">无年龄限制</i>'
				//} else {
				//	html += '	<i class="p-age">适合' + jsonList.list[i].P_ChildrenAgeFrom + '-' + jsonList.list[i].P_ChildrenAgeTo + '岁</i>';
				//}

				html += '	<div class="mui-media-body ellipsis pdL10 posi-r">';
				if(jsonList.list[i].P_IsSpellGroup == '1') {
					html += '<i class="group-hit">拼团</i>' + '<label>' + jsonList.list[i].P_Name.replace('$', '') + '</label>';
				} else {
					html += '	  <label>' + jsonList.list[i].P_Name.replace('$', '') + '</label>';
				}
				html += '	  <p class="mui-ellipsis fz12 lh21">';
				//html += '        <i class="mui-icon mui-icon-location fz12"></i>'+jsonList.list[i].P_Video + '(' + jsonList.list[i].P_Destination + ')';
				html += jsonList.list[i].P_Destination;
				html += '	  </p>';
				html += '	  <p class="fz12 lh21">'; 
				html += label;
				if(jsonList.list[i].P_DirectSeeding == '1') {
					html += '	   <i class="fz12 colorMoney">直播中</i>';
				}
				html += '	  </p>';
				html += '	  <p class="mui-ellipsis fz12 lh21">';
				if(jsonList.list[i].P_TotalRegisterNum != '0') {
					html += '累计' + jsonList.list[i].P_TotalRegisterNum + '人报名';
				} else {
					html += '&nbsp;';
				}
				html += '	  </p>';
				html += '	  <p class="mui-ellipsis lh21">';
				if(parseFloat(jsonList.list[i].P_SpecialTopicIds) > 0) {
					html += '	<span class="fanxian fz12">';
					html += '	   <i>返</i>最高返红包' + jsonList.list[i].P_SpecialTopicIds + '元';
					html += '	</span>';
				}
				html += '	  </p>';
				html += '  </div>';
				html += '  <p class="money-box posi-r-right fz17">';
				html += '	 <span><s style="color:#AAAAAA;font-size:13px;">原价:' + jsonList.list[i].P_RetailPrice + '</s>&nbsp;&nbsp;<i class="fz11">&yen;</i><b>' + jsonList.list[i].P_Price + '</b><i class="fz10">起</i></span>';
				html += '  </p>';
				html += ' </a>';
				html += '</li>';
			}
			$("#jl-table-view").append(html);
			//加载事件
			addEvent();
			//lazyload（延迟加载）  
			lazyLoadApi.addElements();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1, $('#lat').val(), $('#longt').val());
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#jl-table-view li").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, pageSize, queryParam, tmpOrderBy, 0, $('#lat').val(), $('#longt').val());
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

/**
 * 加载事件（活动）
 */
function addEvent() {
	$('#jl-table-view li').off();
	//添加列表项的点击事件
	$('#jl-table-view li').on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		openProdcut(type,id);
	});
}

/**
 * 加载活动主题列表
 */
function loadTopics() {
	var jsData1 = {}
	app.callWebApi('AppProduct', 'ShowThemeList', jsData1, null,
		function(result) {
			$('#HDZT li').remove();
			var hdzt = '<li class="choosed" data-type="1" data-value="-1">不限</li>';
			var jsonData = $.parseJSON(result);
			for(var i = 0; i < jsonData.length; i++) {
				hdzt += '<li class="" data-type="1" data-value="' + jsonData[i].bCode + '">' + jsonData[i].bTitle + '</li>';
			}
			$('#HDZT').append(hdzt);
			addFilterEvent();
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载年龄列表
 */
function loadAge() {
	var jsData1 = {
		queryParam: " and Type='ETNL' "
	}
	app.callWebApi('AppProduct', 'ShowAgeList', jsData1, null,
		function(result) {
			var etnl = '';
			var jsonData = $.parseJSON(result);
			for(var key in jsonData) {
				var age = jsonData[key].text.split('-');
				if(age[0] == '0' && age[1] == '0') {
					etnl += '<li class="choosed" data-type="2" data-value="-1">不限</li>';
				} else if(age[1] == '0') {
					etnl += '<li class="" data-type="2" data-value="' + jsonData[key].text + '">' + age[0] + '以上</li>';
				} else {
					etnl += '<li class="" data-type="2" data-value="' + jsonData[key].text + '">' + jsonData[key].text + '岁</li>';
				}
			}
			$('#ETNL').append(etnl);
			addFilterEvent();
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/* 加载筛选条件所有事件 */
function addFilterEvent() {
	$(".product-filterbar li[data-type='filter']").off();
	$(".product-filterbar li[data-type='filter']").on("tap", function() {
		$("#js_FilterContainer").show();
	});
	$(".product-filterbar li[data-type='sort']").off();
	$(".product-filterbar li[data-type='sort']").on("tap", function() {
		$("#js_SortContainer").show();
	});
	/*按销量进行排序*/
	$(".product-filterbar li[data-type='sale']").off();
	$(".product-filterbar li[data-type='sale']").on("tap", function() {
		$(this).attr("data-val", $(this).attr("data-val") == "1" ? "0" : "1");
		$(this).css("color", (($(this).attr("data-val") == "1") ? "#f90" : "#ccc"));
		if($(this).attr("data-val") == "1") {
			$(".product-filterbar .dot-byfilter").hide();
			$(".product-list-orderby li").removeClass("choosed");
			//如果列表中没有数据就不执行排序
			if($('#jl-table-view li').length == 0) {
				tmpOrderBy = 'P_TotalRegisterNum desc';
				return;
			} else {
				tmpOrderBy = 'P_TotalRegisterNum desc';
				searchData(queryParam, tmpOrderBy);
			}
		} else {
			//如果列表中没有数据就不执行排序
			if($('#jl-table-view li').length == 0) {
				tmpOrderBy = 'P_OrderId';
				return;
			} else {
				tmpOrderBy = 'P_OrderId';
				searchData(queryParam, tmpOrderBy);
			}
		}
	});
	$(".product-cancel-btn").off();
	$(".product-cancel-btn").on("tap", function() {
		$("#js_FilterContainer").hide("normal");
	});
	$(".filter-bg-show").off();
	$(".filter-bg-show").on("tap", function(e) {
		$(".product-container").hide("normal");
	});
	/*推荐排序筛选层 点击事件*/
	$(".product-list-orderby li").off();
	$(".product-list-orderby li").on("tap", function() {
		$("#js_SortContainer").hide("normal");
		$(".product-filterbar li[data-type='sort'] span").text($(this).text());
		$(".product-filterbar .dot-byfilter").show();
		$(".product-filterbar li[data-type='sale']").css("color", "#ccc");
		$(this).parent().children().attr("class", "");
		$(this).attr("class", "choosed");
		switch($(this).attr('data-type')) {
			case '0': //按距离排序			
				//如果列表中没有数据就不执行排序
				if($('#jl-table-view li').length == 0) {
					tmpOrderBy = 'distance';
				} else {
					tmpOrderBy = 'distance';
					searchData(queryParam, tmpOrderBy);
				}
				break;
			case '1': //按价格排序
				//如果列表中没有数据就不执行排序
				if($('#jl-table-view li').length == 0) {
					tmpOrderBy = 'P_Price';
				} else {
					tmpOrderBy = 'P_Price';
					searchData(queryParam, tmpOrderBy);
				}
				break;
			case '2': //最新发布
				//如果列表中没有数据就不执行排序
				if($('#jl-table-view li').length == 0) {
					tmpOrderBy = 'a.P_OperatorDate desc';
				} else {
					tmpOrderBy = 'a.P_OperatorDate desc';
					searchData(queryParam, tmpOrderBy);
				}
				break;
			case '3': //推荐排序
				//如果列表中没有数据就不执行排序
				if($('#jl-table-view li').length == 0) {
					tmpOrderBy = 'a.P_OrderId';
				} else {
					tmpOrderBy = 'a.P_OrderId';
					searchData(queryParam, tmpOrderBy);
				}
				break;
		}
	});
	/*筛选条件-菜单项点击事件*/
	$("#menus li").off();
	$("#menus li").on("tap", function() {
		$(this).parent().children().attr("class", "");
		$(this).attr("class", "current");
		$("#itemsbox ul[data-type!='" + $(this).attr("data-type") + "']").css("display", "none");
		$("#itemsbox ul[data-type='" + $(this).attr("data-type") + "']").css("display", "block");
	});
	/*筛选条件-各选项点击事件*/
	$("#itemsbox ul li[class!='dischk']").off();
	$("#itemsbox ul li[class!='dischk']").on("tap", function() {
		if($(this).attr("data-role") == "cdlx") {
			$(this).parent().children("[data-role='cdlx']").removeClass("choosed");
		} else if($(this).attr("data-role") == "fmpt") {
			$(this).parent().children("[data-role='fmpt']").removeClass("choosed");
		} else if($(this).attr("data-role") == "gy") {
			$(this).parent().children("[data-role='gy']").removeClass("choosed");
		} else {
			$(this).parent().children().removeClass("choosed");
		}
		$(this).addClass("choosed");
		if($(this).attr("data-value") != "-1") {
			$(".product-center-title span").removeClass("disable");
		}
	});
	/*清除筛选条件按钮事件*/
	$(".product-center-title span").off();
	$(".product-center-title span").on("tap", function() {
		$("#itemsbox ul li").removeClass("choosed");
		$("#itemsbox ul li[data-value='-1']").addClass("choosed");
		$(this).addClass("disable");
	});
	/*筛选条件确定按钮事件*/
	$(".product-ok-btn").off();
	$(".product-ok-btn").on("tap", function() {
		var exQueryParam = queryParam;
		//是否有设置了查询条件
		var queryCount = $("#itemsbox ul li[data-value!='-1'][class='choosed']").length;
		if(queryCount > 0) {
			$('.product-center-title span').removeClass("disable");
			$(".byfilter .dot-byfilter").css("display", "block");
		} else {
			$('.product-center-title span').addClass("disable");
			$(".byfilter .dot-byfilter").css("display", "none");
		}
		/*判断有无筛选条件*/
		var isdot = true; //$(".product-center-title span").attr("class").indexOf("disable") >= 0 ? false : true;
		if(isdot) {
			//场地类型
			$("#itemsbox ul li[data-role='cdlx'][class='choosed']").each(function() {
				if($(this).attr('data-value') != '-1') {
					exQueryParam += " and P_SpaceType='" + $(this).attr('data-value') + "'";
				}
			});
			//是否需要父母陪同
			$("#itemsbox ul li[data-role='fmpt'][class='choosed']").each(function() {
				if($(this).attr('data-value') != '-1') {
					exQueryParam += " and P_PassNight='" + $(this).attr('data-value') + "'";
				}
			});
			//是否需要过夜
			$("#itemsbox ul li[data-role='gy'][class='choosed']").each(function() {
				if($(this).attr('data-value') != '-1') {
					exQueryParam += " and P_ParentsAccompany='" + $(this).attr('data-value') + "'";
				}
			});
			//主题
			$("#itemsbox ul li[data-type='1'][class='choosed']").each(function() {
				if($(this).attr('data-value') != '-1') {
					exQueryParam += " and P_TopicsID like '%" + $(this).attr('data-value') + "%'";
				}
			});
			//年龄 
			$("#itemsbox ul li[data-type='2'][class='choosed']").each(function() {
				if($(this).attr('data-value') != '-1') {
					var age = $(this).attr('data-value').split('-');
					if(age[1] == '0') {
						exQueryParam = " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeTo>=" + age[0] + ")) ";
					} else {
						exQueryParam = " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeFrom<=" + age[0] + " and P_ChildrenAgeTo>=" + age[0] + ") or (P_ChildrenAgeFrom<=" + age[1] + " and P_ChildrenAgeTo>=" + age[1] + ")) ";
					}
				}
			});
			//天数
			$("#itemsbox ul li[data-type='3'][class='choosed']").each(function() {
				if($(this).attr('data-value') != '-1') {
					if($(this).attr('data-value') == '1')
						exQueryParam += " and P_TravelDays<=1";
					else if($(this).attr('data-value') == '4') {
						exQueryParam += " and P_TravelDays>3 ";
					} else {
						exQueryParam += " and P_TravelDays='" + $(this).attr('data-value') + "'";
					}
				}
			});
			searchData(exQueryParam, tmpOrderBy);
		}
		$(".product-container").hide("normal");
	});
}

function searchData(queryParam1, orderBy1) {
	mui('#pullrefresh').pullRefresh().refresh(true);
	$(".calendar").height(40);
	$("#arrow").attr("src", "../../images/down.png");
	currentPage = "1";
	totalNum = 0;
	loadData(currentPage, pageSize, queryParam1, orderBy1, 1, lat, longt);
}

//筛选
$('#filter').on('tap', function() {
	if($(".tpye_bar").is(":hidden")) {
		$('.tpye_bar').show();
	} else {
		$('.tpye_bar').hide();
	}
});