var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = ""; //保存当前传过来没有变的参数，用于跳转查询页面
var tmpOrderBy = "distance";
var totalNum = 0;
var title = '';
var detailPage = null;

//懒加载  
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能 
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh1
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh1() {
	getCurrentPosition();
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1, $('#lat').val(), $('#longt').val());
	}, 1000);
}

//初始化
mui.plusReady(function() {
	//	plus.nativeUI.showWaiting("加载中...", {
	//		padlock: true,
	//		width: 120,
	//		height: 120
	//	});
	//返回
	mui.back = function() {
		var wv = plus.webview.getLaunchWebview();
		wv.evalJS('goHome()');
	};
});

/**  
 * 页面初始化； 
 */
function initPage(cityCode, lat, longt, addresses) {
	$('#lat').val(lat);
	$('#longt').val(longt);
	$('#addresses').text(addresses);
	queryParam = " and P_BelongCity='" + cityCode + "'";
	//加载数据
	currentPage = "1";
	totalNum = 0;
	loadData(currentPage, pageSize, queryParam, "distance", 1, lat, longt);
}

//获取位置信息  
function getCurrentPosition() {
	plus.geolocation.getCurrentPosition(geoInf, function(e) {
		console.log("获取位置信息失败：" + e.message);
		mui.toast("获取位置信息失败！");
	}, {
		timeout: 3000
	});
}
/**  
 * 获取地理坐标信息回调方法； 
 */
function geoInf(position) {
	var str = "";
	if(position.address != undefined) {
		city = position.address.city;
	}
	var codns = position.coords; //获取地理坐标信息；
	lat = codns.latitude.toString(); //获取到当前位置的纬度；
	longt = codns.longitude.toString(); //获取到当前位置的经度	
	addresses = position.addresses; //详细地址
	$("#addresses").text(addresses);
	//设置用户位置信息
	localStorage.setItem('userPosition', '{"cityCode":"YY","cityName":"岳阳","lat":"' + lat + '","longt":"' + longt + '"}');
	//获取当前城市代码  
	var jsData1 = {
		city: city
	}
	app.callWebApi('AppProduct', 'ShowCurrentCity', jsData1, null,
		function(result) {
			var jsonData = $.parseJSON(result);
			//设置用户位置信息
			localStorage.setItem('userPosition', '{"cityCode":"' + jsonData[0].C_Code + '","cityName":"' + jsonData[0].C_Name + '","lat":"' + lat + '","longt":"' + longt + '"}');
		},
		function(xhr, type, errorThrown) {
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示地图
function showMap() {
	var point = [];
	$('#jl-table-view li').each(function() {
		var data = {
			P_Latitude: $(this).attr('data-latitude'),
			P_Longitude: $(this).attr('data-longitude'),
			P_Name: $(this).attr('data-name')
		}
		point.push(data);
	});
	openWin2('../product/product-map.html', 'product-map.html', {
		point: point,
		title: '附近活动位置'
	});
}