mui.init();
//初始化
mui.plusReady(function() {
	//显示用户信息
	ShowUser();
	//判断平台
	if(plus.os.name == 'iOS') {
		$('.mui-title').css("margin-top","10px");
	}
});

var server = getUploadServer() + "/Common/UploadFile.ashx";
var files = [];
var zipfiles = [];

// 上传文件
function upload() {
	if(zipfiles.length <= 0) {
		plus.nativeUI.alert("没有添加上传文件！");
		return;
	}
	//开始上传
	plus.nativeUI.showWaiting("处理中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var task = plus.uploader.createUpload(server, {
			method: "POST"
		},
		function(t, status) { //上传完成		
			plus.nativeUI.closeWaiting();
			if(status == 200) {
				//alert("上传成功：" + t.responseText);
				var result = t.responseText.split('!');
				if(result[0] == 'success') {
					modifyUser('U_Icon', result[1]);
				}
			} else {
				alert("上传失败：" + status);
			}
			index = 1;
			//删除压缩文件
			for(var i = 0; i < zipfiles.length; i++) {
				deleteFile(zipfiles[i].path);
			}
			zipfiles = 0;
		}
	);
	task.addData("folderName", "UserPic");
	task.addData("isCreateDateFolder", "0");
	for(var i = 0; i < zipfiles.length; i++) {
		var f = zipfiles[i];
		task.addFile(f.path, {
			key: f.name
		});
	}
	task.start();
}

//删除文件
function deleteFile(url) {
	// 这是API文档里面写的很清楚的，获取文件entry，entry是文件操作接口
	plus.io.resolveLocalFileSystemURL(url, function(entry) {
		entry.remove(function(e) {
			plus.console.log("删除成功:" + url);
		}, function(e) {
			plus.console.log("删除失败" + url);
		});
	});
}

// 压缩图片
function compressImage(src) {
	var filename = src.substring(src.lastIndexOf('/') + 1);
	//outSet("开始压缩图片：");
	plus.zip.compressImage({
			src: src,
			dst: "_doc/" + 'zip-' + filename,
			quality: 20,
			overwrite: true,
			width: '50%'
			//			,
			//			clip: {
			//				top: "25%",
			//				left: "25%",
			//				width: "50%",
			//				height: "50%"
			//			}
		},
		function(i) {
			//plus.nativeUI.closeWaiting();
			//display.style.display = "block";
			//clipimg.src = i.target;
			//outLine("压缩图片成功：" + JSON.stringify(i));
			appendZipFile(i.target);
			upload();
		},
		function(e) {
			//plus.nativeUI.closeWaiting();
			appendZipFile(src);
			upload();
			//outLine("压缩图片失败: " + JSON.stringify(e));
		});
}

// 添加文件
var index = 1;

function appendFile(p) {
	files.length = 0;
	files.push({
		name: "uploadkey" + index,
		path: p
	});
	index++;
}
// 添加压缩文件
function appendZipFile(p) {
	zipfiles.length = 0;
	zipfiles.push({
		name: "uploadkey" + index,
		path: p
	});
	index++;
}

//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#account_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;

//返回并刷新
function backFrush() {
	var wv = plus.webview.getWebviewById('index-me.html');
	if(wv != null) {
		wv.evalJS("ShowUser()");
	}
	oldBack();
}

//处理view的后退与webview后退
mui.back = function() {
	if(viewApi.canBack()) { //如果view可以后退，则执行view的后退
		viewApi.back();
	} else { //执行webview后退
		backFrush();
	}
};

//更换头像
mui(".mui-table-view-cell").on("tap", "#head", function(e) {
	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "修改头像",
			cancel: "取消",
			buttons: a
		}, function(b) {
			switch(b.index) {
				case 0:
					break;
				case 1:
					getImage();
					break;
				case 2:
					appendByGallery();
					//galleryImg();
					break;
				default:
					break
			}
		})
	}
});

//拍照
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			console.log(s);
			/*******************************************************************将该头像文件上传到服务器端，远程读取图片地址*/
			document.getElementById("U_Icon").src = s;
			document.getElementById("U_Icon1").src = s;
			appendFile(s);
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.jpg"
	})
}

function galleryImg() {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				root.getFile("head.jpg", {}, function(file) {
					//文件已存在
					file.remove(function() {
						console.log("file remove success");
						entry.copyTo(root, 'head.jpg', function(e) {
								var e = e.fullPath + "?version=" + new Date().getTime();
								/*******************************************************************将该头像文件上传到服务器端，远程读取图片地址*/
								document.getElementById("U_Icon").src = e;
								document.getElementById("U_Icon1").src = e;
							},
							function(e) {
								console.log('copy image fail:' + e.message);
							});
					}, function() {
						console.log("delete image fail:" + e.message);
					});
				}, function() {
					//文件不存在
					entry.copyTo(root, 'head.jpg', function(e) {
							var path = e.fullPath + "?version=" + new Date().getTime();
							/*******************************************************************将该头像文件上传到服务器端，远程读取图片地址*/
							document.getElementById("U_Icon").src = path;
							document.getElementById("U_Icon1").src = path;
						},
						function(e) {
							console.log('copy image fail:' + e.message);
						});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};

// 拍照添加文件
function appendByCamera() {
	plus.camera.getCamera().captureImage(function(p) {
		//alert(p);
		appendFile(p);
	});
}
// 从相册添加文件
function appendByGallery() {
	plus.gallery.pick(function(p) {
		document.getElementById("U_Icon1").src = p;
		appendFile(p);
	});
}

/**
 *显示用户信息 
 */
function ShowUser() {
	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('Member', 'ShowUser', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					$('#U_Name').text(result.U_Name);
					$('#txtU_Name').val(result.U_Name);
					if(result.U_Icon != null && result.U_Icon != '') {
						if(result.U_Icon.indexOf('http:') < 0) {
							$('#U_Icon').attr('src', getUploadServer() + '/upload/UserPic/' + result.U_Icon + '?width=200&height=200');
							$('#U_Icon1').attr('src', getUploadServer() + '/upload/UserPic/' + result.U_Icon + '?width=200&height=200');
						} else {
							$('#U_Icon').attr('src', result.U_Icon);
							$('#U_Icon1').attr('src', result.U_Icon);
						}
					} else {
						$('#U_Icon').attr('src', '../../images/none.png');
						$('#U_Icon1').attr('src', '../../images/none.png');
					}
					if(result.U_MemberType == '2') {
						$('#U_MemberType').text('高级会员');
						//$('#senior').hide();
						//$('#renew').show();
					} else {
						$('#U_MemberType').text('普通会员');
						//$('#senior').show();
						//$('#renew').hide();
					}
					$('#U_Name1').text(result.U_Name);
					if(result.U_Code != null && result.U_Code != '') {
						var mobile = result.U_Code.substr(0, 3) + '****' + result.U_Code.substr(7, 4);
						$('#U_Code').text(mobile);
						$('#U_Code1').val(result.U_Code);
					} else {
						$('#U_Code').text('未设置');
						$('#U_Code1').val('未设置');
					}
					if(result.U_Sex == 'M') {
						$('#U_Sex').text('男');
					} else {
						$('#U_Sex').text('女');
					}
					if(result.U_Birthday != null) {
						$('#U_Birthday').text(result.U_Birthday.toString().substring(0, 10));
					}
					if(result.U_City != '') {
						$('#U_City').text(result.U_City);
					}
				}
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}

var temp = "";
refreshCode();

function refreshCode() {
	var img = document.getElementById("imgVerifyCode");
	if(img != null) {
		var currentDate = new Date();
		img.src = getApiServer() + "/Common/VerifyCodeImage.aspx?t=" + currentDate.getTime();
		$("#img_txtCode").hide();
		temp = "";
		$("#txtCode").val("");
	}
}

/*修改用户信息*/
function modifyUser(fieldName, value) {
	//获取用户信息
	var userInfo = getUserInfo();
	var jsData1 = {
		ID: userInfo.ID,
		fieldName: fieldName,
		value: value
	}
	//显示价格信息  
	app.callWebApi('AppUser', 'ModifyUser', jsData1, null,
		function(result) {
			if(result.RESULT == "") {
				localStorage.setItem('userInfo', result.UserInfo);
				mui.toast('设置成功！');
				if(fieldName == 'U_Name') {
					$('#U_Name').text(value);
					$('#U_Name1').text(value);
					mui.back();
				} else if(fieldName == 'U_Icon') {
					document.getElementById("U_Icon").src = getUploadServer() + "/Upload/UserPic/" + value + '?width=200';
					mui.back();
				}
			} else {
				mui.toast(result.RESULT);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/*jquery 实现*/
$(function() {
	//升级高级会员
	$('#senior').on('tap', function() {
		openWin2('../member/senior.html', 'senior.html', {
			type: '1'
		});
	});
	//续费高级会员
	$('#renew').on('tap', function() {
		openWin2('../member/senior.html', 'senior.html', {
			type: '2'
		});
	});

	/*修改昵称*/
	$('#btnSaveName').on('tap', function() {
		modifyUser('U_Name', $('#txtU_Name').val());
	});

	/*重置登录密码*/
	$("#btnClearPwd").on('tap', function() {
		modifyUser('U_Pass', MD5('888'));
	});

	/*验证码绑定*/
	$('.Verifi').on('tap', function() {
		refreshCode();
	});

	/*修改头像*/
	$('#btnSaveTX').on('tap', function() {
		if(files.length <= 0) {
			plus.nativeUI.alert("没有添加上传文件！");
			return;
		}
		for(i = 0; i < files.length; i++) {
			compressImage(files[i].path);
		}
	});

	/*修改密码事件*/
	$('#btnSetPS').on('tap', function() {
		//获取用户信息
		var userInfo = getUserInfo();
		if(userInfo != null) {
			var txtOldPS = $('#txtOldPS').val();
			var txtNewPS = $('#txtNewPS').val();
			var txtConfirnPS = $('#txtConfirnPS').val();
			if(txtNewPS != '' && txtConfirnPS != '') {
				if(txtNewPS != txtConfirnPS) {
					mui.toast('新密码和确认密码不相同！');
					return;
				}
				if(userInfo.U_Pass != '') {
					if(MD5(txtOldPS) != userInfo.U_Pass) {
						mui.toast('旧密码不正确！');
						return;
					}
				}
				var jsData1 = {
					ID: userInfo.ID,
					U_Pass: MD5(txtNewPS)
				}
				//显示价格信息  
				app.callWebApi('AppUser', 'ModifyPS', jsData1, null,
					function(result) {
						if(result.RESULT == "") {
							userInfo.U_Pass = result.U_Pass;
							localStorage.setItem('userInfo', JSON.stringify(userInfo));
							mui.toast('设置成功！');
							mui.back();
						} else {
							mui.toast(result.RESULT);
						}
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});

			} else {
				mui.toast('新密码和确认密码不能为空！');
			}
		} else {
			mui.toast('用户没有登录！');
		}
	});

	/*修改或绑定手机1*/
	$("#btn_editmobile_next").on("tap", function() {
		if($('#mobile').val() == '' || $('#mobile').val().length != 11) {
			mui.toast('请输入手机号或手机号格式不正确！');
			return;
		}
		//		if ($('#reg-code').val() == '') {
		//			mui.toast('请输入验证码或验证码不正确！');
		//			return;
		//		}
		$('#sendMobile').text($('#mobile').val());

		//需要验证码
		//		var jsData1 = {
		//				code: $('#reg-code').val()
		//			}
		//			//验证验证码  
		//		app.callWebApi('Common', 'CheckVerifyCode', jsData1, null,
		//			function(result) {
		//				if (result.flag == '1') {
		//					if ($("#U_Code").text() == $('#mobile').val()) {
		//						mui.toast('不能重复绑定同一个手机号码！');
		//						return;
		//					}
		//					//获取
		//					jsData1 = {
		//							U_Code: $('#mobile').val()
		//						}
		//						//验证验证码  
		//					app.callWebApi('AppUser', 'ShowUser4Code', jsData1, null,
		//						function(result) {
		//							//新号码没有人注册
		//							if (result == '') {
		//								$("#divOp").hide();
		//								$("#lblName").text('');
		//								$("#bindType").val('0'); //直接做绑定操作
		//							} else {
		//								result = $.parseJSON(result);
		//								$("#divOp").show();
		//								$("#lblName").text(result.U_Name);
		//								$("#bindType").val('1'); //默认为合并帐号
		//							}
		//							viewApi.go("#editmobile_page2");
		//						});
		//				} else {
		//					mui.toast('验证码输入不正确！');
		//				}
		//			},
		//			function(xhr, type, errorThrown) {
		//				mui.toast('获取数据失败，请检查网络是否正常！' + type);
		//			});
		if($("#U_Code1").val() == $('#mobile').val()) {
			mui.toast('不能重复绑定同一个手机号码！');
			return;
		}

		//不需要验证码
		jsData1 = {
			U_Code: $('#mobile').val()
		}
		//验证验证码  
		app.callWebApi('AppUser', 'ShowUser4Code', jsData1, null,
			function(result) {
				//新号码没有人注册
				if(result == '') {
					$("#divOp").hide();
					$("#lblName").text('');
					$("#bindType").val('0'); //直接做绑定操作
				} else {
					result = $.parseJSON(result);
					$("#divOp").show();
					var name = result.U_Name;
					if(name.length > 1) {
						name = name.substring(0, 1) + '*' + name.substring(2);
					}
					$("#lblName").text(name);
					$("#bindType").val('1'); //默认为合并帐号
				}
				viewApi.go("#editmobile_page2");
			});

	});

	//发送验证码到手机
	$('#send').on('tap', function() {
		var jsData1 = {
			code: '8005'
		}
		//发送验证码到手机   
		app.callWebApi('AppUser', 'SystemParams', jsData1, null,
			function(result) {
				var x = 120; //默认发送间隔
				if(result.RESULT == '') {
					x = parseInt(result.Value1);
				}
				//发送时间控制
				sendCodeTime(x, x);
				plus.nativeUI.showWaiting("发送中...", {
					padlock: true,
					width: 120,
					height: 120
				});
				var jsData2 = {
					mobi: $('#sendMobile').text()
				}
				//发送验证码到手机   
				app.callWebApi('AppUser', 'SendBindCodeToMobile', jsData2, null,
					function(result) {
						plus.nativeUI.closeWaiting();
						mui.toast(result.RESULT);
					},
					function(xhr, type, errorThrown) {
						plus.nativeUI.closeWaiting();
						mui.toast('发送失败，请检查网络是否正常！' + type);
					});
			},
			function(xhr, type, errorThrown) {
				mui.toast('发送失败，请检查网络是否正常！' + type);
			});

	});

	//绑定是否为本人注册帐号
	$(".radioItem").change(function() {
		var id = $(this).attr('id');
		if(id == 'rdSelf') {
			$('#loginPs').show();
			$("#bindType").val('1');
		} else {
			$('#loginPs').hide();
			$("#bindType").val('2');
		}
		$('#login_pwd').val('');
	});

	///*修改或绑定手机2*/
	$('#btn_editmobile_complete').on("tap", function() {
		var userInfo = getUserInfo();
		if(userInfo != null) {
			if($('#sendMobile').text() == '' || $('#sendMobile').text().length != 11) {
				mui.toast('请输入手机号或手机号格式不正确！');
				return;
			}
			if($('#val_code').val() == '') {
				mui.toast('请输入验证码！');
				return;
			}
			if($("#bindType").val() == '1' && $("#login_pwd").val() == '') {
				mui.toast('请输入该手机的登录密码！');
				return;
			}
			plus.nativeUI.showWaiting("处理中...", {
				padlock: true,
				width: 120,
				height: 120
			});
			var jsData1 = {
				userId: userInfo.ID,
				mobilePhone: $('#sendMobile').text(),
				verifyCode: $('#val_code').val(),
				pwd: MD5($("#login_pwd").val()),
				bindType: $("#bindType").val(),
				payPass: ''
			}
			//验证验证码  
			app.callWebApi('AppUser', 'BindMobile', jsData1, null,
				function(result) {
					plus.nativeUI.closeWaiting();
					if(result.RESULT == '') {
						localStorage.setItem('userInfo', result.UserInfo);
						mui.toast('已成功绑定手机！');
						var mobile = $('#mobile').val().substr(0, 3) + '****' + $('#mobile').val().substr(7, 4);
						$('#U_Code').text(mobile);
						$("#U_Code1").val($('#mobile').val());
						backFrush();
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		} else {
			mui.toast('你没有登录，登录后再绑定或修改绑定手机！');
		}
	});

	//退出登录 
	$('#btnExit').on('tap', function() {
		var btnArray = ['否', '是'];
		mui.confirm('是否确认退出？', '消息', btnArray, function(e) {
			if(e.index == 1) {
				localStorage.removeItem("userInfo");
				var mainWv = plus.webview.getLaunchWebview();
				mainWv.show();
				mainWv.evalJS("goHome()");
				oldBack();
				mui.toast('用户已退出');
			}
		});
	});

	//选择性别，出生日期
	var userPicker = new mui.PopPicker();
	userPicker.setData([{
		value: 'M',
		text: '男'
	}, {
		value: 'F',
		text: '女'
	}]);
	var showBirthDayPickerButton = $('#BirthdayPicker');
	var showSexPickerButton = $('#SexPicker');
	showSexPickerButton.on('tap', function(event) {
		userPicker.show(function(items) {
			showSexPickerButton.children("em").text(items[0].text);
			showSexPickerButton.children("em").removeClass();
			showSexPickerButton.attr("data-val", items[0].value);
			//alert(JSON.stringify(items[0]));
			//返回 false 可以阻止选择框的关闭 
			//return false;
			modifyUser('U_Sex', items[0].value);
		});
	});
	showBirthDayPickerButton.on('tap', function() {
		var optionsJson = this.getAttribute('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('id');
		/*
		 * 首次显示时实例化组件
		 * 示例为了简洁，将 options 放在了按钮的 dom 上
		 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
		 */
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			showBirthDayPickerButton.children("em").text(rs.text);
			showBirthDayPickerButton.children("em").removeClass();
			showBirthDayPickerButton.attr("data-val", rs.text);
			modifyUser('U_Birthday', rs.text);
			/* 
			 * 返回 false 可以阻止选择框的关闭
			 * return false;
			 */
			picker.dispose();
		});
	});

	var cityPicker3 = new mui.PopPicker({
		layer: 3
	});
	cityPicker3.setData(cityData3);
	var showCityPickerButton = $('#CityPicker');
	showCityPickerButton.on('tap', function() {
		cityPicker3.show(function(items) {
			showCityPickerButton.children("em").text((items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text);
			showCityPickerButton.children("em").removeClass();
			showCityPickerButton.attr("data-prov", (items[0] || {}).text)
				.attr("data-city", (items[1] || {}).text)
				.attr("data-dist", (items[2] || {}).text);
			//返回 false 可以阻止选择框的关闭
			//return false; 
			modifyUser('U_City', showCityPickerButton.children("em").text());
		});
	});

});