var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "U_RegisterDate desc";
var totalNum = 0;
var detailPage = null;
var lat = '0';
var longt = '0';
//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});

//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('AppUser', 'ShowUser4ID', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					//queryParam = " and U_AuthorityCode like '%" + result.U_InvitationCode + "%' and id<>'" + result.ID + "' ";
					queryParam = " and U_AuthorityCode like '%' + U_InvitationCode + '#" + result.U_InvitationCode + "%' and id<>'" + result.ID + "' ";
					loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1);
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
				plus.nativeUI.closeWaiting();
			});
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1);
	}, 1000);
}

/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#jl-table-view li").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, pageSize, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

/**
 *加载数据 
 */
function loadData(currentPage, pageSize, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$("#jl-table-view li").remove();
	}
	app.commonLoadData(currentPage, pageSize, queryParam, orderBy, 'AppUser', 'ShowMyRecommendUserList', function(result) {
		if(result != '') {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			$("#lblUserCount").text(totalNum);
			if(totalNum == 0) {
				$(".notrecord").show();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				plus.nativeUI.closeWaiting();
				return;
			}
		} else {
			$(".notrecord").show();
			return;
		}
		$(".notrecord").hide();
		var html = '';
		for(var i = 0; i < jsonList.list.length; i++) {
			html += '<li class="mui-table-view-cell mui-media pdR50">';
			html += '	<a class="mui-navigate-right mui-slider-handle">';
			if(jsonList.list[i].U_Icon.indexOf('http') > -1) {
				html += '	<img style="width: 50px;height: 50px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + jsonList.list[i].U_Icon + '">';
			} else {
				html += '	<img style="width: 50px;height: 50px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/UserPic/' + jsonList.list[i].U_Icon + '?width=160&height=160">';
			}
			html += '	    <div class="mui-media-body ellipsis pdL10 posi-r">';
			if(jsonList.list[i].U_IsPromoteUser == '1') {
				html += jsonList.list[i].U_Name + '<label style="color:#fff; border-radius: 5px; background-color: #008000; font-size: 12px; padding: 2px;"> 达人</label>';
			} else {
				html += jsonList.list[i].U_Name;
			}
			html += '	      <p class="mui-ellipsis fz12 lh21">';
			html += jsonList.list[i].U_RegisterDate.replace('T', ' ');
			html += '	      </p>';
			html += '       </div>';
			html += ' </a>';
			html += '</li>';
		}
		$("#jl-table-view").append(html);
		//lazyload（延迟加载）  
		lazyLoadApi.addElements();
		plus.nativeUI.closeWaiting();
	});
}

function errorFunction() {
	console.log('error');
}

function sucessFunction() {
	console.log('ok');
}