mui.init();
mui.plusReady(function() {
	showBankCardsList();
});
//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#bankcard_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;
$(function() {
	//处理view的后退与webview后退
	mui.back = function() {
		if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
			viewApi.back();
		} else { //执行webview后退
			oldBack();
		}
	};
	//拖拽后显示操作图标，点击操作图标删除元素；
	var btnArray = ['确认', '取消'];
	mui('#bank_list').on('tap', '.mui-btn', function(event) {
		var id = $(this).attr('data-val');
		var elem = this;
		var li = elem.parentNode.parentNode;
		mui.confirm('确认删除该银行卡？', '请确认', btnArray, function(e) {
			if (e.index == 0) {
				/*校验支付密码，支付密码正确，下一步*/
				var jsData1 = {
						id: id
					}
					//显示用户的银行卡
				app.callWebApi('AppUser', 'DelUserBankCard', jsData1, null,
					function(result) {
						if (result.RESULT == "") {
							li.parentNode.removeChild(li);
							mui.toast('删除成功！');
						} else {
							$("#auth_pwd_page .pwd-plane").removeClass("bdred").children("li").removeClass("set");
							mui.toast(result.RESULT);
						}
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});
			} else {
				setTimeout(function() {
					mui.swipeoutClose(li);
				}, 0);
			}
		});
	});
	/*添加银行卡*/
	mui('#header').on('tap', '#btn_add_bank', function(event) {
		viewApi.go("#auth_pwd_page");
	});
	/*校验密码*/
	$("#auth_pwd_page .num-plane td[data-value]").on("tap", function() {
		$("#auth_pwd_page .pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
		if ($("#auth_pwd_page .pwd-plane .set").children().length == 6) {
			var userInfo = getUserInfo();
			if (userInfo != null) {
				var payPs = '';
				$("#auth_pwd_page .pwd-plane .set").each(function() {
					payPs += $(this).attr("data-value");
				});
				/*校验支付密码，支付密码正确，下一步*/
				var jsData1 = {
						userId: userInfo.ID,
						payPs: MD5(payPs)
					}
					//显示用户的银行卡
				app.callWebApi('AppUser', 'CheckPayPassword', jsData1, null,
					function(result) {
						if (result.RESULT == "") {
							mui.toast('添加银行卡');
							$('#name').val(result.U_RealName);
							viewApi.go("#add_bank_nextpage");
						} else {
							$("#auth_pwd_page .pwd-plane").removeClass("bdred").children("li").removeClass("set");
							mui.toast(result.RESULT);
						}
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});
			} else {
				mui.toast('用户没有登录，操作失败！');
			}
		}
	});
	/*退格键*/
	$("#auth_pwd_page .num-plane .del").on("tap", function() {
		$("#auth_pwd_page .pwd-plane .set").last().attr("data-value", "").removeClass("set");
	});
	/*选择银行*/
	var bankPicker = new mui.PopPicker();
	var showBankButton = document.getElementById('bankname');
	ShowBankList();

	/*显示银行列表*/
	function ShowBankList() {
		var jsData1 = {}
		app.callWebApi('AppUser', 'ShowBankList', jsData1, null,
			function(result) {
				if (result.RESULT == "") {
					var data = $.parseJSON(result.Data);
					bankPicker.setData(
						data
						//[{
						//	value: 'ABC',
						//	text: '中国农业银行'
						//}, {
						//	value: 'BOC',
						//	text: '中国银行'
						//}]
					);
					showBankButton.addEventListener('tap', function(event) {
						bankPicker.show(function(items) {
							showBankButton.value = items[0].text;
							showBankButton.setAttribute("data-val", items[0].value);
						});
					}, false);
				} else {
					mui.toast(result.RESULT);
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});

	}
	//完成
	$('#btn_user_auth').on('tap', function() {
		var userInfo = getUserInfo();
		if (userInfo != null) {
			if ($('#name').val() == '') {
				mui.toast('持卡人不能为空！')
				return;
			}
			if (showBankButton.getAttribute("data-val") == '') {
				mui.toast('银行不能为空！')
				return;
			}
			//if ($('#bankno').val().length <16) {
			//	mui.toast('银行卡号无效！')
			//	return;
			//}
			var jsData1 = {
					ID: '',
					U_UserID: userInfo.ID,
					U_BankName: showBankButton.value,
					U_BankCode: showBankButton.getAttribute("data-val"),
					U_BankCardNumber: $('#bankno').val(),
					U_Cardholder: $('#name').val()
				}
				//保存银行卡
			app.callWebApi('AppUser', 'SaveUserBankCard', jsData1, null,
				function(result) {
					if (result.RESULT == "") {
						mui.toast('添加成功！');
						oldBack();
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		} else {
			mui.toast('用户没有登录，请先登录后再设置！')
		}
	});
});
//显示用户的银行卡
function showBankCardsList() {
	$('.text_note').hide();
	var userInfo = getUserInfo();
	if (userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		$("#bank_list li").remove();
		var jsData1 = {
				userId: userInfo.ID
			}
			//显示用户的银行卡
		app.callWebApi('AppUser', 'ShowUserBankCardList', jsData1, null,
			function(result) {
				if (result.RESULT == "") {
					if (result.BankCardList != '') {
						$('.text_note').hide();
					} else {
						$('.text_note').show();
					}
					$("#bank_list").append(result.BankCardList)
				} else {
					mui.toast(result.RESULT);
				}
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}