mui.init();
mui.plusReady(function() {
	showUserPassengerList();
});
//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#passenger_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;
/*jquery*/
$(function() {
	//处理view的后退与webview后退
	mui.back = function() {
		if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
			viewApi.back();
		} else { //执行webview后退
			oldBack();
		}
	};

	/*新增按钮*/
	$("#btn_add").on("tap", function() {
		$('#id').val('');
		$('#U_CnName').val('');
		$('#SexPicker').val('男');
		$('#SexPicker').attr('data-val', 'M');
		$('#U_CardId').val('');
		$('#BirthdayPicker').val('');
		viewApi.go("#add_passenger_page");
	});
	/*性别，证件类型，出生日期*/
	var userPicker = new mui.PopPicker();
	userPicker.setData([{
		value: 'M',
		text: '男'
	}, {
		value: 'F',
		text: '女'
	}]);
	var idcardtypePicker = new mui.PopPicker();
	idcardtypePicker.setData([{
		value: '身份证',
		text: '身份证'
	}, {
		value: '护照',
		text: '护照'
	}, {
		value: '出生年月日',
		text: '出生年月日'
	}]);
	$(".sex-picker").on("tap", function() {
		var obj = $(this);
		userPicker.show(function(items) {
			obj.val(items[0].text);
			obj.attr("data-val", items[0].value);
		});
	});
	$(".idcardtype-picker").on("tap", function() {
		var obj = $(this);
		idcardtypePicker.show(function(items) {
			obj.val(items[0].text);
			obj.attr("data-val", items[0].value);
		});
	});
	$(".birthday-picker").on("tap", function() {
		var obj = $(this);
		var optionsJson = obj.attr('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			obj.val(rs.text);
			picker.dispose();
		});
	});

	/*新增操作*/
	$('#btnNew').on('tap', function() {
		savePassanger('', $('#U_CnName').val(), $('#SexPicker').attr("data-val"), $('#IDCardTypePicker').attr("data-val"), $('#U_CardId').val(), $('#BirthdayPicker').val());
	});

	/*修改操作*/
	$('#btnModify').on('tap', function() {
		savePassanger($('#id').val(), $('#U_CnName1').val(), $('#SexPicker1').attr("data-val"), $('#IDCardTypePicker1').attr("data-val"), $('#U_CardId1').val(), $('#BirthdayPicker1').val());
	});

	/*删除*/
	$('#btnDel').on('tap', function() {
		var btnArray = ['否', '是'];
		mui.confirm('是否确认删除？', '消息', btnArray, function(e) {
			if (e.index == 1) {
				var jsData1 = {
						id: $('#id').val()
					}
					//保存常用联系人  
				app.callWebApi('AppUser', 'DelPassenger', jsData1, null,
					function(result) {
						showUserPassengerList();
						mui.back();
						mui.toast(result.Result);
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});
			}
		});

	});

});

//显示常用联系人列表
function showUserPassengerList() {
	var userInfo = getUserInfo();
	if (userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		$('#userId').val(userInfo.ID);
		var jsData1 = {
				userId: userInfo.ID
			}
			//获取预订确认信息  
		app.callWebApi('AppUser', 'ShowUserPassengerList', jsData1, null,
			function(result) {
				$('#passenger li').remove();
				var passenger = $.parseJSON(result);
				var html = '';
				for (var key in passenger) {
					html += '<li class="mui-table-view-cell mui-media">';
					html += '	<a class="mui-navigate-right" data-val="' + passenger[key].ID + '">';
					html += '	  <div class="mui-media-body"><span style="color:#F08519;font-size:15px;font-weight:bold;">' + passenger[key].U_CnName+'</span>';
					html += '		<p class="mui-ellipsis fz14" style="font-weight:">身份证  ' + passenger[key].U_CardId + '</p>';
					html += '	  </div>';
					html += '	</a>';
					html += '</li>';
				}
				$('#passenger').append(html);

				$("#passenger_main .mui-navigate-right").off();
				/*绑定编辑按钮*/
				$("#passenger_main .mui-navigate-right").on("tap", function() {
					$('#id').val($(this).attr('data-val'));
					showPassanger($(this).attr('data-val'));
					viewApi.go("#edit_passenger_page");
				});
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}

//保存常用出行人
function savePassanger(id, name, sex, cardType, cardId, birthday) {
	if (name == '') {
		mui.toast('姓名不能为空！');
		return;
	}
	if (sex == '') {
		mui.toast('性别不能为空！');
		return;
	}
	if (cardType == '') {
		mui.toast('证件类型不能为空！');
		return;
	}
	if (cardId == '') {
		mui.toast('证件号码不能为空！');
		return;
	}
	if (birthday == '') {
		mui.toast('出生日期不能为空！');
		return;
	}
	var jsData1 = {
			ID: id,
			U_UserID: $('#userId').val(),
			U_CnName: name,
			U_Sex: sex,
			U_CardType: cardType,
			U_CardId: cardId,
			U_Birthday: birthday
		}
		//保存常用联系人  
	app.callWebApi('AppUser', 'SavePassenger', jsData1, null,
		function(result) {
			showUserPassengerList();
			mui.back();
			mui.toast(result.Result);
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示常用出行人 
function showPassanger(id) {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var jsData1 = {
			id: id
		}
		//显示常用联系人  
	app.callWebApi('AppUser', 'ShowPassenger', jsData1, null,
		function(result) {
			var data = $.parseJSON(result);
			$('#U_CnName1').val(data.U_CnName);
			if (data.U_Sex == 'M') {
				$('#SexPicker1').val('男');
			} else {
				$('#SexPicker1').val('女');
			}
			$('#SexPicker1').attr("data-val", data.U_Sex);
			$('#IDCardTypePicker1').val(data.U_CardType);
			$('#IDCardTypePicker1').attr("data-val", data.U_CardType);
			$('#U_CardId1').val(data.U_CardId);
			$('#BirthdayPicker1').val(data.U_Birthday.toString().substring(0, 10));
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}