var currentCity = "YY";
var pageSize = "20";
var currentPage = "0";
var queryParam = "";
var tmpQueryParam = ""; //保存当前传过来没有变的参数，用于跳转查询页面
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
var title = '';
var detailPage = null;

var selValue1 = '';
var selValue2 = '';
var selValue3 = '';

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});

//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断平台
	//if(plus.os.name == 'iOS') {
	//	$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//}
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	//获得事件参数
	queryParam = self.params;
	tmpQueryParam = self.params;
	longt = self.longt;
	lat = self.lat;
	title = self.title;
	currentCity = self.city;

	//标题
	document.getElementById('title').innerHTML = title;
	//加载地区查询条件
	loadAreaCondition(currentCity, '', '');
	//加载分类查询条件
	loadClassifyCondition(currentCity, '1000', '');
	//加载排序查询条件
	loadOrderCondition();

	//加载数据
	//loadData(currentPage, pageSize, queryParam, "P_OrderId", 1, lat, longt);
});

/**
 * 查询事件
 */
$('#search1').on('tap', function() {
	if($("#divSearch").is(":hidden")) {
		$('#pullrefresh').hide();
		$('#divSearch').show();
	} else {
		$('#pullrefresh').show();
		$('#divSearch').hide();
	}
});

/**
 * 查询事件
 */
$('#btnSearch').on('tap', function() {
	$('#pullrefresh').show();
	$('#divSearch').hide();
	searchData('', 'P_OrderId');
});

/**
 * 查询方法 
 */
function searchData(exQueryParam, orderBy) {
	mui('#pullrefresh').pullRefresh().refresh(true);
	currentPage = "1";
	totalNum = 0;
	tmpOrderBy = orderBy;
	if(exQueryParam != '') {
		queryParam = tmpQueryParam + exQueryParam;
	} else {
		queryParam = tmpQueryParam;
	}
	//条件筛选
	if($('#A1').val() != '') {
		var a1 = $('#A1').val().split(',');
		if(a1[0] != '') {
			queryParam += " and P_StartingCounty like '%" + a1[0] + "%'";
		}
		if(a1[1] != '') {
			queryParam += " and P_StartingStreet like '%" + a1[1] + "%'";
		}
	}
	if($('#A2').val() != '') {
		var a2 = $('#A2').val().split(',');
		if(a2[0] != '') {
			queryParam += " and P_TopicsID like '%" + a2[0] + "%'";
		}
		if(a2[1] != '') {
			queryParam += " and P_TopicsID like '%" + a2[1] + "%'";
		}
	}
	if($('#A3').val() != '') {
		var a3 = $('#A3').val();
		switch(a3) {
			case '1': //按推荐排序
				orderBy = "P_OrderId";
				break;
			case '2': //价格从低到高
				orderBy = "P_Price";
				break;
			case '3': //价格从高到低
				orderBy = "P_Price desc";
				break;
			case '4': //按销量排序
				orderBy = "P_TotalRegisterNum desc"
				break;
			case '5': //按最新发布排序
				orderBy = "P_OperatorDate desc";
				break;
		}
	}
	if($('#txtName').val() != '') {
		queryParam += " and P_Name like '%" + $('#txtName').val() + "%' ";
		//增加历史搜索关键字
		addSearchKey($('#txtName').val());
	}
	//加载数据
	loadData(currentPage, pageSize, queryParam, orderBy, 1, lat, longt);
}

/**
 *加载历史查询关键字 
 */
function loadSearchKey() {
	$("#ulHistory li").remove();
	var searchHistory = localStorage.getItem('searchHistory');
	if(searchHistory != null) {
		var jSearchHistory = $.parseJSON(searchHistory.toString());
		var html = '';
		$.each(jSearchHistory.searchItems, function(idx, item) {
			html += '<li class="mui-table-view-cell" id="' + item.content + '">';
			html += '	 <span class="mui-icon mui-icon-compose"></span>' + item.content;
			html += '</li>';
		});
		$('#ulHistory').append(html);
		/**
		 * 选择历史搜索关键字事件
		 */
		$("#ulHistory li").on("tap", function() {
			$('#txtName').val($(this).attr("id"));
			$('#divSearch').hide();
			$('#pullrefresh').show();
			searchData('', 'P_OrderId');
		});
		$('#btnClearHistory').show();
	} else {
		$('#btnClearHistory').hide();
		//$('#divSearch').hide();
	}
}
/**
 * 清空历史搜索 
 */
$(".jl-clear-history").on('tap', function() {
	localStorage.setItem('searchHistory', '{}');
	$("#ulHistory li").remove();
	//$('#divSearch').hide();
	//$('#pullrefresh').show();
});
/**
 * 搜索框事件 
 */
$("#txtName").on('tap', function() {
	$('#pullrefresh').hide();
	loadSearchKey();
	//	if ($("#ulHistory li").length > 0) {
	//		$('#divSearch').show();
	//	} else {
	//		$('#divSearch').hide();
	//	}
});
/**
 * 增加历史搜索关键字
 * @param {Object} newSearchKey
 */
function addSearchKey(newSearchKey) {
	var searchKey = localStorage.getItem("searchHistory");
	if(searchKey != null) {
		if(searchKey.toString().indexOf(newSearchKey) == -1) {
			if(newSearchKey != '' && newSearchKey != null) {
				var data = '{"searchItems":[{"content":"' + newSearchKey + '"}';
				$('#ulHistory li').each(function() {
					data += ',{"content":"' + $(this).attr("id") + '"}';
				});
				data += ']}';
				localStorage.setItem('searchHistory', data);
			}
		}
	} else {
		var data = '{"searchItems":[{"content":"' + newSearchKey + '"}]}';
		localStorage.setItem('searchHistory', data);
	}
};

//筛选条件
$(function() {
	$(".screening li[data-items]").off();
	$(".screening li[data-items]").on('tap', function() {
		/*显示或隐藏当前类别*/
		var i = $(this).attr("data-items");

		var obj = $("div[data-item=" + i + "]");
		if(obj.hasClass("grade-w-roll")) {
			obj.removeClass('grade-w-roll');
			$(this).removeClass("selectedli");
		} else {
			obj.addClass('grade-w-roll');
			$(this).addClass("selectedli");
		}
		/*隐藏其他类别层*/
		var c = parseInt($(".screening").attr("data-items-count"));
		for(var n = 1; n <= c; n++) {
			if(n != parseInt(i)) {
				var o = $("div[data-item=" + n + "]");
				if(o.hasClass("grade-w-roll")) {
					o.removeClass('grade-w-roll');
					$("li[data-items=" + n + "]").removeClass("selectedli");
				}
			}
		}
	});

});

/*********加载地区查询条件*********/
function loadAreaCondition(cityCode, id, text) {
	var jsData1 = {
		CityCode: cityCode,
		ID: id
	}
	app.callWebApi('Common', 'AreaJson', jsData1, null,
		function(result) {
			var jsonList;
			var html = '';
			var html1 = '';
			var html2 = '';
			if(result != '') {
				jsonList = $.parseJSON(result);
				for(var i = 0; i < jsonList.length; i++) {
					html += "<li data-id='" + jsonList[i].id + "'>" + jsonList[i].text + "</li>";
				}
			}
			if(cityCode != '') {
				$('#Area1 li').remove();
				$('#Area2 li').remove();
				html1 = '<li data-id="" class="jl-click-active">全部地区</li>';
				html2 = '<li data-id="">全部地区</li>';
				$("#Area1").append(html1 + html);
				$("#Area2").append(html2);
			} else {
				$('#Area2 li').remove();
				html2 = '<li data-id="">全部' + text + '</li>';
				$("#Area2").append(html2 + html);
			}
			/*地区一级菜单点击事件*/
			bindAreaEvent1();
			/*地区二级菜单点击事件*/
			bindAreaEvent2();
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/*地区一级菜单点击事件*/
function bindAreaEvent1() {
	$("ul[data-type=class1]>li").off();
	$("ul[data-type=class1]>li").on('tap', function() {
		/*编写脚本，获取二级菜单内容并填充*/
		$(this).parent().next().css("left", "50%"); /*显示二级菜单*/
		$(this).siblings().removeClass("jl-click-active");
		$(this).addClass("jl-click-active");
		var id = $(this).attr('data-id');
		var text = $(this).text();
		selValue1 = id;
		if(id != '') {
			loadAreaCondition('', id, text);
		} else {
			$('#Area2 li').remove();
			html2 = '<li data-id="">' + text + '</li>';
			$("#Area2").append(html2);
			bindAreaEvent2();
		}
	});
}

/*地区二级菜单点击事件*/
function bindAreaEvent2() {
	$("ul[data-type=item1]>li").off();
	$("ul[data-type=item1]>li").on('tap', function() {
		$(this).siblings().removeClass("jl-select-active");
		$(this).addClass("jl-select-active");
		/*赋值类型名称*/
		var i = $(this).parent().parent().attr("data-item");
		$(".screening li[data-items=" + i + "]").html($(this).text() + "<i></i>");
		$("#A1").val(selValue1 + ',' + $(this).attr('data-id'));
		/*关闭菜单*/
		$(this).parent().parent().removeClass('grade-w-roll');
		//去掉选择标志
		$("#menu li").removeClass("selectedli");
		searchData('', 'P_OrderId');
	});
}

/*********加载分类查询条件*********/
function loadClassifyCondition(cityCode, id, text) {
	var jsData1 = {
		ID: id
	}
	app.callWebApi('Common', 'ThemeJson', jsData1, null,
		function(result) {
			var jsonList;
			var html = '';
			var html1 = '';
			var html2 = '';
			if(result != '') {
				jsonList = $.parseJSON(result);
				for(var i = 0; i < jsonList.length; i++) {
					html += "<li data-id='" + jsonList[i].id + "'>" + jsonList[i].text + "</li>";
				}
			}
			if(cityCode != '') {
				$('#Classify1 li').remove();
				$('#Classify2 li').remove();
				html1 = '<li data-id="" class="jl-click-active">全部分类</li>';
				html2 = '<li data-id="">全部分类</li>';
				$("#Classify1").append(html1 + html);
				$("#Classify2").append(html2);
			} else {
				$('#Classify2 li').remove();
				if(id != '') {
					html2 = '<li data-id="">全部' + text + '</li>';
				} else {
					html2 = '<li data-id="">' + text + '</li>';
				}
				$("#Classify2").append(html2 + html);
			}
			/*分类一级菜单点击事件*/
			bindClassifyEvent1();
			/*分类二级菜单点击事件*/
			bindClassifyEvent2();

		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/*分类一级菜单点击事件*/
function bindClassifyEvent1() {
	$("ul[data-type=class2]>li").off();
	$("ul[data-type=class2]>li").on('tap', function() {
		/*编写脚本，获取二级菜单内容并填充*/
		$(this).parent().next().css("left", "50%"); /*显示二级菜单*/
		$(this).siblings().removeClass("jl-click-active");
		$(this).addClass("jl-click-active");
		var id = $(this).attr('data-id');
		var text = $(this).text();
		selValue2 = id;
		if(id != '') {
			loadClassifyCondition('', id, text);
		} else {
			$('#Classify2 li').remove();
			html2 = '<li data-id="">' + text + '</li>';
			$("#Classify2").append(html2);
			bindClassifyEvent2();
		}
	});
}

/*分类二级菜单点击事件*/
function bindClassifyEvent2() {
	$("ul[data-type=item2]>li").off();
	$("ul[data-type=item2]>li").on('tap', function() {
		$(this).siblings().removeClass("jl-select-active");
		$(this).addClass("jl-select-active");
		/*赋值类型名称*/
		var i = $(this).parent().parent().attr("data-item");
		$(".screening li[data-items=" + i + "]").html($(this).text() + "<i></i>");
		$("#A2").val(selValue2 + ',' + $(this).attr('data-id'));
		/*关闭菜单*/
		$(this).parent().parent().removeClass('grade-w-roll');
		//去掉选择标志
		$("#menu li").removeClass("selectedli");
		searchData('', 'P_OrderId');
	});
}

/*********加载排序查询条件*********/
function loadOrderCondition() {
	/*一级菜单点击事件*/
	$("ul[data-type=class3]>li").off();
	$("ul[data-type=class3]>li").on('tap', function() {
		/*编写脚本，获取二级菜单内容并填充*/
		$(this).parent().next().css("left", "50%"); /*显示二级菜单*/
		$(this).siblings().removeClass("jl-click-active");
		$(this).addClass("jl-click-active");
		var id = $(this).attr('data-id');
		var text = $(this).text();
		$("#A3").val($(this).attr('data-id'));
		/*关闭菜单*/
		$(this).parent().parent().removeClass('grade-w-roll');
		//去掉选择标志
		$("#menu li").removeClass("selectedli");
		searchData('', 'P_OrderId');
	});
}