mui.init();

mui.plusReady(function() {
	//电话咨询
	$("#telphone").on('tap', function() {
		plus.device.dial("07308966299", false);
	});
});

var btns = mui('.btn');
btns.each(function(i, btn) {
	btn.addEventListener('tap', function() {
		var optionsJson = this.getAttribute('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('id');
		var obj = this;
		/*
		 * 首次显示时实例化组件 
		 * 示例为了简洁，将 options 放在了按钮的 dom 上
		 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
		 */
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			/*
			 * rs.value 拼合后的 value
			 * rs.text 拼合后的 text
			 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
			 * rs.m 月，用法同年
			 * rs.d 日，用法同年
			 * rs.h 时，用法同年
			 * rs.i 分（minutes 的第二个字母），用法同年
			 */
			obj.value = rs.text;
			/* 
			 * 返回 false 可以阻止选择框的关闭
			 * return false;
			 */
			/*
			 * 释放组件资源，释放后将将不能再操作组件
			 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
			 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
			 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
			 */
			picker.dispose();
		});
	}, false);
});

//提交
$('#submit').on('tap', function() {
	productCustomizeApply();
});

/**
 *供应商申请 
 */
function productCustomizeApply() {
	if($("#C_CityName").val() == '') {
		mui.toast('请填写所在城市');
		return;
	}
	if($("#C_Contacts").val() == '') {
		mui.toast('请填写联系人');
		return;
	}
	if($("#C_Phone").val() == '') {
		mui.toast('请填写手机号');
		return;
	}
	var peopleNum = "0";
	if($("#C_PeopleNum").val() != '') {
		peopleNum = $("#C_PeopleNum").val();
	}
	var budget = "0";
	if($("#C_Budget").val() != '') {
		budget = $("#C_Budget").val();
	}

	var jsData1 = {
		operateUser: ''
	}
	var jsData2 = {
		C_CityName: $("#C_CityName").val(),
		C_Contacts: $("#C_Contacts").val(),
		C_Phone: $("#C_Phone").val(),
		C_PeopleNum: peopleNum,
		C_ActionDate: $("#C_ActionDate").val(),
		C_Budget: budget,
		C_Remark: $('#C_Remark').val()
	}
	app.callWebApi('AppProduct', 'ProductCustomizeApply', jsData1, jsData2,
		function(result) {
			if(result.RESULT != "") {
				mui.toast(result.RESULT);
			} else {
				$("#C_CityName").val('');
				$("#C_Contacts").val('');
				$("#C_Phone").val('');
				$("#C_PeopleNum").val('');
				$("#C_ActionDate").val('');
				$("#C_Budget").val('');
				$('#C_Remark').val('');
				mui.toast('申请成功，我们会快联系你！');
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('操作失败，请检查网络是否正常！' + type);
		});
}