mui.init();

mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});

	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always',
		scrollIndicator: 'none'
	});

	var userPosition = getUserPosition();
	//显示广告
	showAD(userPosition.cityCode);
	//显示定制类别
	showProductCustomizeType();
	//显示产品定制主题
	showProductCustomizeTheme();
	//显示产品定制说明
	showProductCustomizeExplanation();
	//电话咨询
	$("#telphone").on('tap', function() {
		plus.device.dial("07308966299", false);
	});
});

//定制类型
var lazyLoadApiCustomize = mui('#divProductCustomize').imageLazyload({
	autoDestroy: false, 
	placeholder: '../../images/logo-loading-70-70.png'
});
//定制主题
var lazyLoadApiTheme = mui('#divTheme').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading.png'
});

//我要定制 
$('#customize').on('tap', function() {
	openWin1('../product/product-customize-apply.html', 'product-customize-apply.html', {});
});

/**
 * 显示广告
 */
function showAD(cityCode) {

	var jsData1 = {
		adpid: '22',
		queryParam: " and citycode='" + cityCode + "' "
	}
	app.callWebApi('AppProduct', 'ShowAD1', jsData1, null,
		function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				var html = '<div class="mui-slider-group mui-slider-loop">';
				//<!-- 额外增加的一个节点(循环轮播：第一个节点是最后一张轮播) -->
				html += '<div class="mui-slider-item mui-slider-item-duplicate"  style="border: none">';
				html += '  <a class="adv" data-name="' + jsonList[jsonList.length - 1].adname + '" data-val="' + jsonList[jsonList.length - 1].adcode + '" data-img="' + jsonList[jsonList.length - 1].img + '" data-target="' + jsonList[jsonList.length - 1].target + '"><img height="150px" class="w100" src="' + getUploadServer() + '/upload/Advpic/' + jsonList[jsonList.length - 1].img + '?width=500&height=250" /></a>';
				html += '</div>';
				//播放内容
				for(var i = 0; i < jsonList.length; i++) {
					html += '<div class="mui-slider-item" style="border: none">';
					html += '  <a class="adv" data-name="' + jsonList[i].adname + '" data-val="' + jsonList[i].adcode + '" data-img="' + jsonList[i].img + '" data-target="' + jsonList[i].target + '"><img height="150px" class="w100" src="' + getUploadServer() + '/upload/Advpic/' + jsonList[i].img + '?width=500&height=250" /></a>';
					html += '</div>';
				}
				//<!-- 额外增加的一个节点(循环轮播：最后一个节点是第一张轮播) -->
				html += '<div class="mui-slider-item mui-slider-item-duplicate"  style="border: none">';
				html += '  <a class="adv" data-name="' + jsonList[0].adname + '" data-val="' + jsonList[0].adcode + '" data-img="' + jsonList[0].img + '" data-target="' + jsonList[0].target + '"><img height="150px" class="w100" src="' + getUploadServer() + '/upload/Advpic/' + jsonList[0].img + '?width=500&height=250" /></a>';
				html += '</div>';
				html += '</div>';
				//添加第一个圆点
				html += '<div class="mui-slider-indicator">';
				for(var j = 0; j < jsonList.length; j++) {
					if(j == 0) {
						html += '<div class="mui-indicator mui-active"></div>';
					} else {
						html += '<div class="mui-indicator"></div>';
					}
				}
				html += '</div>';
				$('#ad').html(html);
				//循环轮播
				setTimeout(function() {
					var slider = mui("#ad");
					slider.slider({
						interval: 5000
					});
				}, 2000);
				$('.mui-slider-item .adv').on('tap', function() {
					var id = $(this).attr("data-val");
					var name = $(this).attr("data-name");
					var target = $(this).attr("data-target");
					if(id != '') {
						//0：产品信息  1：显示专题  2：显示特殊产品
						if(target == '1') {
							var pic = $(this).attr("data-img");
							//显示所有专题活动        
							openWin1('../product/product-special-detail.html', 'product-special-detail.html', {
								specialTopicId: id,
								pic: getUploadServer() + '/upload/Advpic/' + pic + '?width=500&height=250',
								title:'专题活动'
							});
						} else if(target == '2') {
							//打开显示特殊产品       
							openWin3('../product/product-view.html', 'product-view.html', {
								productId: id,
								title: name
							});
						} else {
							//打开详情页面          
							openWin3('../product/product-detail.html', 'product-detail.html', {
								productId: id
							});
						}
					}
				});
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示产品定制类别
function showProductCustomizeType() {
	var html = "";
	var jsData1 = {}
	app.callWebApi('AppProduct', 'ShowProductCustomizeType', jsData1, null,
		function(result) {
			var html = "";
			if(result != "") {
				var jsonList = $.parseJSON(result);
				for(var i = 0; i < jsonList.length; i++) {
					if((i + 1) % 3 == 0 || i == 0) {
						if(i == 0) {
							html += '<div class="theme_pic theme_pic_top theme_pic_three first_three_theme">';
						} else {
							html += '<div class="theme_pic theme_pic_three mid_three_theme">';
						}
					}
					html += '	<a name="hot_theme_area" data-span="theme">';
					if(jsonList[i].C_Pic != null && jsonList[i].C_Pic != '') {
						html += '		<div class="pic_box"> <img src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList[i].C_Pic + '?width=200&height=130"/>';
					} else {
						html += '		<div class="pic_box"> <img src="../../images/logo-loading-70-70.png"/></div>';
					}
					html += '			<div class="price_box">';
					html += '				<p class="product_name">' + jsonList[i].C_Name + '</p>';
					html += '			</div>';
					html += '		</div>';
					html += '	</a>';
					if((i + 1) % 3 == 0 && i != 0) {
						html += '</div>';
					}
				}
			}
			$("#divProductCustomize").html(html);
			lazyLoadApiCustomize.addElements();
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示产品定制主题
function showProductCustomizeTheme() {
	var html = "";
	var jsData1 = {
		queryParams: " and P_Type='1' "
	}
	app.callWebApi('AppProduct', 'ShowProductCustomizeTheme', jsData1, null,
		function(result) {
			var html = "";
			if(result != "") {
				var jsonList = $.parseJSON(result);
				for(var i = 0; i < jsonList.length; i++) {
					html += '<a data-id="' + jsonList[i].ID + '"  data-name="' + jsonList[i].P_Name + '" class="posi-r">';
					if(jsonList[i].P_Pic != null && jsonList[i].P_Pic != '') {
						html += '<div class="shown"> <img src="../../images/logo-loading.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList[i].P_Pic + '?width=750&height=400"/>';
					} else {
						html += '<div class="v"> <img src="../../images/logo-loading.png"/></div>';
					}
					html += '	<span class="binding">' + jsonList[i].P_Name + '</span>';
					html += '</a>';
				}
			}
			$("#divTheme").html(html);
			lazyLoadApiTheme.addElements();
			$('.mui-content').show();
			plus.nativeUI.closeWaiting();
			//显示定制主题详情
			$('#divTheme a').on('tap', function() {
				var id = $(this).attr("data-id");
				var name=$(this).attr("data-name");
				if(id != '') {
					//打开显示特殊产品       
					openWin3('../product/product-view.html', 'product-view.html', {
						productId: id,
						title: name
					});
				}
			});
		},
		function(xhr, type, errorThrown) {
			$('.mui-content').show();
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示产品定制说明
function showProductCustomizeExplanation() {
	var jsData1 = {
		id: "10003"
	}
	app.callWebApi('SystemMgr', 'ShowParams2', jsData1, null,
		function(result) {
			if(result != "") {
				var result = $.parseJSON(result);
				$('#divExplanation').html(result.P_Content);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}