mui.init({
	swipeBack: false, //启用右滑关闭功能
});

//分享操作
var shares = {};

/*初始化*/
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});

	//分享
	plus.share.getServices(function(s) {
		if(s && s.length > 0) {
			for(var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
		}
	}, function() {
		console.log("获取分享服务列表失败");
	});

	var self = plus.webview.currentWebview();
	var id = self.productId;
	var title = self.title;
	var pic = self.pic;
	//标题
	document.getElementById('title').innerHTML = title;
	//根据id向服务器请求产品详情
	var jsData1 = {
		id: id
	}
	app.callWebApi('Product', 'ShowProductView', jsData1, null,
		function(result) {
			if(result != '') {
				var jsData = $.parseJSON(result);
				$("#detail").html(jsData.P_Content);
			}
			$(".mui-content").show();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});

	//*分享*/ 
	$("#share").on("tap", function() {
		var ids = [{
				id: "weixin",
				ex: "WXSceneSession"
			}, {
				id: "weixin",
				ex: "WXSceneTimeline"
			}],
			bts = [{
				title: "发送给微信好友"
			}, {
				title: "分享到微信朋友圈"
			}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		}, function(e) {
			var i = e.index;
			if(i > 0) {
				var s_id = ids[i - 1].id;
				var share = shares[s_id];
				if(share) {
					if(share.authenticated) {
						shareMessage(share, ids[i - 1].ex, title, pic, id);
					} else {
						share.authorize(function() {
							shareMessage(share, ids[i - 1].ex, title, pic, id);
						}, function(e) {
							console.log("认证授权失败：" + e.code + " - " + e.message);
						});
					}
				} else {
					mui.toast("无法获取分享服务，请检查manifest.json中分享插件参数配置，并重新打包")
				}
			}
		});
	});
});

//分享
function shareMessage(share, ex, title, pic, productId) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	msg.href = getWebAppServer() + "/views/product/product-view.html?productId=" + productId + "&title=" + title + "&pic=" + pic;
	msg.title = title;
	msg.content = $('#pSubtitle').html();
	if(~share.id.indexOf('weibo')) {
		msg.content += "；体验地址：" + location.href;
	}
	//msg.thumbs = ["_www/images/logo2.png"]; 
	var src = getUploadServer() + '/upload/AdvPic/' + pic + "?width=200&height=200";
	msg.thumbs = [src];
	share.send(msg, function() {
		console.log("分享到\"" + share.description + "\"成功！ ");
	}, function(e) {
		console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
	});
}