var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.O_OrderDate desc";
var totalNum = 0;
var detailPage = null;

//懒加载
var lazyLoadApi = mui('#productList').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});
//初始化 
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	var userId = self.userId;
	ShowUser(userId);
	queryParam = " and a.O_UserID='" + userId + "' and a.O_Status in('2001','4001','5001','6001')";
	loadData(currentPage, queryParam, tmpOrderBy, 1);
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#productList .mrtb10").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();

	//如果为重新加载，就清空列表
	if(reload == 1) {
		$("#productList").html('');
	}
	app.commonLoadData(currentPage, '10', queryParam, orderBy, 'AppProduct', 'ShowUserHistoryOrderList', function(result) {
		if(result != '') {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				plus.nativeUI.closeWaiting();
				$(".notrecord").show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				html += '<div class="mrtb10">';
				html += '	<p class="color5">' + jsonList.list[i].P_ModifyUser + ' 报名了</p>';
				html += '	<ul class="mui-table-view mui-table-view-chevron after-before-bg-none br5">';
				html += '		<li class="mui-table-view-cell mui-media pdR40 br5">';
				html += '			<a class="mui-navigate-right mui-slider-handle">';
				if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
					html += '	        <img style="width: 70px;height: 70px;" class="mui-pull-left br5" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=150&height=150">';
				} else if(jsonList.list[i].P_MobileTitlePic != '' && jsonList.list[i].P_MobileTitlePic != null) {
					html += '	        <img style="width: 70px;height: 70px;" class="mui-pull-left br5" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=150&height=150">';
				} else {
					html += '       	<img class="mui-pull-left br5" data-lazyload="../../images/logo-loading-70-70.png" height="70">';
				}
				html += '				<div class="mui-media-body ellipsis pdL10 posi-r">';
				html += jsonList.list[i].P_Name;
				html += '					<p class="mui-ellipsis fz12 lh20">';
				html += jsonList.list[i].P_SpecialTopicNames + '<br /> 累计' + jsonList.list[i].P_ChildrenRegisterNum + '名儿童，' + jsonList.list[i].P_AdultRegisterNum + '名父母报名';
				html += '					</p>';
				html += '					<p class="money posi-r-right">';
				html += '						<sup class="fz10">&yen;</sup>' + jsonList.list[i].P_Price + '<sub class="fz10">起</sub>';
				html += '					</p>';
				html += '				</div>';
				html += '			</a>';
				html += '		</li>';
				html += '	</ul>';
				html += '</div>';
			}
			$("#productList").append(html);
			//lazyload（延迟加载）  
			lazyLoadApi.addElements();
		} else {}
		plus.nativeUI.closeWaiting();
	});
}
/**
 *显示用户信息 
 */
function ShowUser(userId) {
	//获取用户信息
	var jsData1 = {
		id: userId
	}
	app.callWebApi('Member', 'ShowUser', jsData1, null,
		function(result) {
			if(result != "") {
				result = $.parseJSON(result);
				$('#U_Name').text(result.U_Name);
				$('#U_City').text(result.U_City);
				if(result.U_Icon != null && result.U_Icon != '') {
					if(result.U_Icon.indexOf('http:') < 0) {
						$('#U_Icon').attr('src', getUploadServer() + '/upload/UserPic/' + result.U_Icon);
					} else {
						$('#U_Icon').attr('src', result.U_Icon);
					}
				} else {
					$('#U_Icon').attr('src', '../../images/none.png');
				}
				//性别
				if(result.U_Sex == 'M') {
					$('#U_Sex').addClass('iconfont icon-xingbie-nan colorBule');
					$("#U_Sex").attr("title", "男");
				} else if(result.U_Sex == 'F') {
					$('#U_Sex').addClass('iconfont icon-xingbie-nv colorRed');
					$("#U_Sex").attr("title", "女");
				} else {
					$('#U_Sex').addClass('iconfont icon-xingbie colorGreen');
					$("#U_Sex").attr("title", "");
				}
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}